curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message/freestyle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "your-kakao-channel-id",
"target": "M",
"chatBubbleType": "IMAGE",
"message": "새로운 라이브 상품이 등록되었습니다.",
"attachment": {
"image": {
"imgUrl": "https://mud-kage.kakao.com/example/image.jpg",
"imgLink": "https://example.com/products/123"
}
},
"recipientList": [
{
"recipientNo": "01012345678"
}
]
}
'
{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Invalid Authorization Token"
}{
"success": false,
"error": "Payload Too Large. Can accept up to 1000 recipients per request."
}{
"success": false,
"error": "Internal Server Error"
}メッセージ配信
自由形式のカカオブランドメッセージを配信する
テンプレートを使わずにメッセージを配信します。
POST
/
messages
/
kakao-brand-message
/
freestyle
curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message/freestyle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "your-kakao-channel-id",
"target": "M",
"chatBubbleType": "IMAGE",
"message": "새로운 라이브 상품이 등록되었습니다.",
"attachment": {
"image": {
"imgUrl": "https://mud-kage.kakao.com/example/image.jpg",
"imgLink": "https://example.com/products/123"
}
},
"recipientList": [
{
"recipientNo": "01012345678"
}
]
}
'
{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Invalid Authorization Token"
}{
"success": false,
"error": "Payload Too Large. Can accept up to 1000 recipients per request."
}{
"success": false,
"error": "Internal Server Error"
}- 1回のリクエストに含まれるすべての送信先に、同じメッセージ内容を配信します。
- 画像が必要なタイプでは、先にブランドメッセージの画像をアップロードするを呼び出し、レスポンスの
data.images[].urlを使います。 PREMIUM_VIDEOのvideoUrlには、カカオBizMessageの動画アップロードAPIで登録とエンコードを終えた配信用URLを指定します。一般的な動画URLやKakaoTVのページURLは使えません。Notiflyの動画アップロードAPIは現在公開していません。動画のアップロードが必要な場合はcontact@notifly.techにお問い合わせください。- 自由形式の配信対象には
M、N、Iを指定できます。I+Nには対応していません。 - このエンドポイントは、カカオトークの配信プラットフォームが
Notiflyのチャネルに対応します。Notifly (Legacy)のチャネルでは利用できません。
ボディ
application/json
- テキスト型
- 画像型
- ワイド画像型
- ワイドアイテムリスト型
- カルーセルフィード型
- プレミアム動画型
- コマース型
- カルーセルコマース型
